package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.SalarySettlementTypeEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author Joburgess
 * @Date 2019/10/1
 */
public class VipGroupSalarySettlementTypeDto {

    @ApiModelProperty(value = "课程形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "课酬结算方式")
    private SalarySettlementTypeEnum salarySettlementType;

    @ApiModelProperty(value = "课酬结算参数值")
    private BigDecimal settlementValue;

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public SalarySettlementTypeEnum getSalarySettlementType() {
        return salarySettlementType;
    }

    public void setSalarySettlementType(SalarySettlementTypeEnum salarySettlementType) {
        this.salarySettlementType = salarySettlementType;
    }

    public BigDecimal getSettlementValue() {
        return settlementValue;
    }

    public void setSettlementValue(BigDecimal settlementValue) {
        this.settlementValue = settlementValue;
    }
}
